Bug 49692 - RTF export/import: extra numbering for heading 1
Summary: RTF export/import: extra numbering for heading 1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-09 07:52 UTC by Andras Timar
Modified: 2012-05-19 00:57 UTC (History)
1 user (show)

See Also:


Attachments
sample rtf (4.43 KB, application/msword)
2012-05-09 07:52 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-05-09 07:52:54 UTC
Created attachment 61290 [details]
sample rtf

I created this file With LibreOffice from scratch. First line with Heading 1, the next paragraph is the built-in dummy text (dt + F3). I saved as rtf.

Opening in Word 2010 - OK
Opening in Wordpad (Windows 7) - the first line (Heading 1) is tabbed

   EULA

He heard quiet steps behind him. That didn't bode well. Who could be following him this late at night and in this deadbeat part of town? And at this particular ...

Opening in LibreOffice 3.5.3 - the first line (Heading 1) is numbered

0  EULA

He heard quiet steps behind him. That didn't bode well. Who could be following him this late at night and in this deadbeat part of town? And at this particular ...
Comment 1 Miklos Vajna 2012-05-10 01:31:41 UTC
This will be an import issue. Sounds like the "" (empty) numbering prefix is converted to 0 at some stage, then back to string as "0". Will fix in a bit.
Comment 2 Andras Timar 2012-05-10 01:53:48 UTC
(In reply to comment #1)
Export is not perfect either, because Wordpad displays the Heading 1 line indented.
Comment 3 Not Assigned 2012-05-10 01:58:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f55c92211630b4e90531645dbd8ae3350fd9a437

fdo#49692 RTFValue::Clone(): copy m_bForceString as well
Comment 4 Not Assigned 2012-05-10 02:53:50 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1173bb0dc01ef504ea453a272b77b0b4d92a662f

fdo#49692 fix RTF export of empty paragraph numbering rules
Comment 5 Miklos Vajna 2012-05-10 02:59:57 UTC
Fixed in master, marking as resolved.
Comment 6 Jean-Baptiste Faure 2012-05-10 03:25:08 UTC
I think it has been already reported in bug 46842 (see comment 5), but not so clearly. :-)

Best regards. JBF
Comment 7 Not Assigned 2012-05-14 04:56:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45884d2a1378b46ab20abe92c2498bfed09cf58e&g=libreoffice-3-5

fdo#49692 fix RTF export of empty paragraph numbering rules


It will be available in LibreOffice 3.5.4.
Comment 8 Not Assigned 2012-05-14 04:57:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce37510deacf309311362a93913dfcbd7b0853c2&g=libreoffice-3-5

fdo#49692 RTFValue::Clone(): copy m_bForceString as well


It will be available in LibreOffice 3.5.4.
Comment 9 s-joyemusequna 2012-05-19 00:57:51 UTC
Verified with LOdev 3.6 (master - 18-May-2012 02h44 x86@6-fast; Build ID: 8b1d29b) under Windows Vista 64.